// const SERVER_URL = 'http://localhost:3000';
const SERVER_URL = 'https://zwiftools.com'

function headers(selfId) {
  return {
    'Content-Type': 'application/json',
    'Authorization': `Bearer ${selfId}`,
    'X-Api-Version': '1.0.0',
  };
}

export async function initMod(state) {
  const req = {};

  const res = await fetch(`${SERVER_URL}/api/s4z-init-mod`, {
    method: 'POST',
    cache: 'no-cache',
    headers: headers(state.selfId),
    body: JSON.stringify(req),
  });
  return res.json();
}

export async function initAthleteState(state, athleteData) {
  const athlete = athleteData.sauceData.athlete;
  const req = {
    athleteIdent: athlete.id,
    athlete: {
      ftp: athlete.ftp,
      wPrime: athlete.wPrime,
      weight: athlete.weight,
    },
    powerProfile: athleteData.powerProfile,
    maxPower: athleteData.maxPower,
  };

  const res = await fetch(`${SERVER_URL}/api/s4z-init-athlete-state`, {
    method: 'POST',
    cache: 'no-cache',
    headers: headers(state.selfId),
    body: JSON.stringify(req),
  });
  return res.json();
}

export async function calculatePowerCurve(state, athleteData) {
  const athlete = athleteData.sauceData.athlete;
  const req = {
    athleteIdent: athlete.id,
    athlete: {
      ftp: athlete.ftp,
      wPrime: athlete.wPrime,
      weight: athlete.weight,
    },
    powerProfile: athleteData.powerProfile,
    maxPower: athleteData.maxPower,
    known: athleteData.known,
  };

  const res = await fetch(`${SERVER_URL}/api/s4z-power-curve`, {
    method: 'POST',
    cache: 'no-cache',
    headers: headers(state.selfId),
    body: JSON.stringify(req),
  });
  return res.json();
}
